/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}

//定义附件关联模块ID(1:一般业务,2:测试信息,3:审批业务,999:其它数据 )
var ls_module_id='999';
//定义当前模块业务类型(YBYW:一般业务,SPGL:审批业务) 
var ls_ywlx = 'YBYW';
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载模块分类下拉框
var v_mtquery = {};
var v_mt_data = jwAppCommonModel.jwAppsCommonDataAction.listSysModuletypeAll(v_mtquery);

//加载是否有效下拉框
var v_yesno_data = [{CODE_ID:'1',CODE_NAME:'失效'},{CODE_ID:'0',CODE_NAME:'有效'}];
/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
var ls_title="模块信息";
var is_column = [ [
				{field : 'M_ID',title : '编码',width : 100,align : 'center'}, 
 				{field : 'M_NAME',title : '名称',width : 120,align : 'center'}, 
 				{field : 'M_MENU',title : '属性',width : 120,align : 'center'}, 
 				{field : 'MT_NAME',title : '类别',width : 120,align : 'center'}, 
 				{field : 'M_SORT',title : '排序',width : 80,align : 'center'}, 
 				{field : 'M_STATE',title : '是否有效',width : 80,align : 'center',
					formatter : function(value) {
						return getCodeName(v_yesno_data, value);
					}
				}, 
				{field : 'YSY',title : '状态',width : 80,align : 'center',
					formatter : function(value) {
						if (value != null && value > 0)
							return '已用';
						else
							return '未用';
					}
				}, 
				{field : 'WINDOWNAME_WEB',title : '地址',width : 150,halign : 'center',align : 'left'}, 
				{field : 'WINDOWPIC',title : '图片',width : 150,align : 'center',
					formatter : function(value) {
						if(value != undefined)
						  return value + "&nbsp;&nbsp;<span class=\""+value+"\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>";
					}
				}
				] ];
//列表加载完成回调
function dataOnLoadSuccess(){
}
//设置颜色和每行高度
function rowstyler(index,row){
	return 'height:30px;';
}
//展示列表
datagrid("list",ls_title,gaowj.WEB_APP_NAME + "/systemdata_listSysModule",queryData,is_column,60,80);
/****/

/**
 * 序号：4
 * 功能：设置主页面操作列菜单
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//操用列显示更多(一般情况下无需更改)
function formatMenu(value, data,index) {
	var returnData="";
	return  returnData
	      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
	      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
}
//上浮横向菜单集里的具体菜单项(需更改)
function getOptionMenu(data,index){
	var returnData= "<span class=\"icon-edit\" style=\"padding-left:20px;*width:20px;vertical-align:middle;height:20px;\"></span><a href=\"javascript:void(0);\" style=\"text-decoration:none;\" onclick=\"editRow('"
		          + index 
		          + "')\">编辑</a>"  
				  + " | <span class=\"icon-clear\" style=\"padding-left:20px;*width:20px;vertical-align:middle;height:20px;\"></span><a href=\"javascript:void(0);\" style=\"text-decoration:none;\" onclick=\"deleteRow('"
		          + index 
		          + "')\">删除</a>";
	return returnData;
}

//返回菜单集的菜单个数(需更改)
function getOptionMenuCount(){
	var is_menu_count = 2;
	return is_menu_count;
}
/****/

/**
 * 序号：5
 * 功能：新增修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载增加子页面
function addRow(){
	var is_row={OPETYPE:'insert'};
	openEditRow("system_moduleTabDetail",is_row,"新增",true,0.65,0.95,0,0);

}
//加载增加子页面成功后的回调
function addUrlOnloadCallback(is_row){
	$('#MT_ID').combobox({
		data : v_mt_data.rowSet,
		valueField : 'MT_ID',
		textField : 'MT_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#M_STATE').combobox({
		data : v_yesno_data,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
}
//保存
function insertData(is_entity){
	//对表单获取到的时间进行处理后提交后台
//	is_entity.FIELD_CREATE_TIME = strToDateObj(is_entity.FIELD_CREATE_TIME);
//	is_entity.FIELD_RECEIVE_DATE = strToDateObj(is_entity.FIELD_RECEIVE_DATE);
	var v_result = jwAppCommonModel.jwAppsCommonActAction.insertSysModule(is_entity);
	$('#list').datagrid('reload');
	return v_result;
}

//加载修改子页面
function editRow(index) {
	$('#list').datagrid('selectRow',index);
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	is_row[0].OPETYPE = 'update';
	openEditRow("system_moduleTabDetail",is_row[0],"编辑",true,0.65,0.95,0,0);	
}

//加载修改子页面成功后的回调
function updateUrlOnloadCallback(is_row){
	$('#M_ID').textbox('disable',true);
	$('#MT_ID').combobox({
		data : v_mt_data.rowSet,
		valueField : 'MT_ID',
		textField : 'MT_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#M_STATE').combobox({
		data : v_yesno_data,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
}
//保存
function updateData(is_entity){
	//对表单获取到的时间进行处理后提交后台
//	is_entity.FIELD_CREATE_TIME = strToDateObj(is_entity.FIELD_CREATE_TIME);
//	is_entity.FIELD_RECEIVE_DATE = strToDateObj(is_entity.FIELD_RECEIVE_DATE);
	var v_result = jwAppCommonModel.jwAppsCommonActAction.updateSysModule(is_entity);
	$('#list').datagrid('reload');
	return v_result;
}
/****/

/**
 * 序号：6
 * 功能：单个删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteRow(index){
	$('#list').datagrid('selectRow',index);	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');

	if(is_row[0].YSY!=null && is_row[0].YSY>0){
		$.messager.alert('提示',"有模块使用中,无法删除!",'info');
		return;
	}
	var code = is_row[0].M_ID;
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_M_ID = code;
		    var v_result = jwAppCommonModel.jwAppsCommonActAction.deleteSysModule(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：7
 * 功能：批量删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteBatchRow(){
	var code="";
	var is_row = $('#list').datagrid('getSelections');
	for(var i=0; i<is_row.length; i++){
		code = code + is_row[i].M_ID+",";
		if(is_row[i].YSY!=null && is_row[i].YSY>0){
			$.messager.alert('提示',"有模块使用中,无法删除!",'info');
			return;
		}
	}
	if(is_row == null || is_row == ""){
		$.messager.alert('提示',"请选择需删除的行!",'info');
		return;
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_M_ID = code;
		    var v_result = jwAppCommonModel.jwAppsCommonActAction.deleteSysModule(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：8
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow(){
	$('#list').datagrid('load',{});
	$("#moduletab_searchForm")[0].reset();
}
/****/

/**
 * 序号：9
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#moduletab_searchForm").getFormVal();
	$('#list').datagrid('load',v_query);
}
/****/

